package cn.pluss.platform.area;

import java.util.List;
import java.util.Map;

import cn.pluss.platform.entity.Area;
import cn.pluss.platform.leshua.LeshuaArea;

public interface AreaService {

    public LeshuaArea queryArea(Area area);

    public List<LeshuaArea> queryAreaList(Area area);

    public void saveArea(Area area);

    public void updateArea(Area area);

    public void deleteArea(Area area);

    public List<LeshuaArea> queryAreaPage(Map map);

    public Integer queryAreaPageCount(Map map);

    public void saveAreaBatch(List<Area> areaList);
}

